Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdStreamGroup Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | LockStream ([in] RtStreamId idStream,[in] RtDWORD dwFlags,[out] void **ppDataStream)
HRESULT | UnLockStream ([in] RtStreamId idStream)
HRESULT | AttachStream ([in] IRsGenStream *pGenStream)
HRESULT | DetachStream ([in] RtStreamId idStream,[out, retval] IRsGenStream **ppGenStream)
HRESULT | DeleteStream ([in] RtStreamId idStream)
HRESULT | GetStream ([in] RtStreamId idStream,[out, retval] IRsGenStream **ppGenStream)
RtDWORD | GetNumElements (void)
HRESULT | SetNumElements ([in] RtDWORD dwNumElements)
HRESULT | InsertElements ([in] RtDWORD dwInsertAfter,[in] RtDWORD dwNumElems)
HRESULT | DeleteElements ([in] RtDWORD dwDeleteFrom, RtDWORD dwNumElems)
HRESULT | GetNumStreams ([out, retval] RtDWORD *pdwNumElements)
HRESULT | GetStreamByIndex ([in] RtDWORD dwStreamIndex,[out, retval] IRsGenStream **ppGenStream)

## Detailed Description

IRdStreamGroup is an interface to triangular meshes stream groups (vertex, triangle, custom).

## Member Function Documentation

HRESULT IRdStreamGroup::LockStream | ( | [in] RtStreamId | idStream,
|  | [in] RtDWORD | dwFlags,
|  | [out] void ** | ppDataStream
| ) |

  | Locks given stream and returns access pointer to that stream Parameters:
  idStream | identification of stream to be locked
  dwFlags | flags for locking
  ppDataStream | returned locked stream
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::UnLockStream | ( | [in] RtStreamId | idStream | ) |

  | Unlocks given stream Parameters:
  idStream | identification of stream to be unlocked
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::AttachStream | ( | [in] IRsGenStream * | pGenStream | ) |

  | Inserts stream into stream group Parameters:
  pGenStream | stream to be inserted
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::DetachStream | ( | [in] RtStreamId | idStream,
|  | [out, retval] IRsGenStream ** | ppGenStream
| ) |

  | Removes stream from stream group and returns it Parameters:
  idStream | stream identifier
  ppGenStream | returned detached stream
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::DeleteStream | ( | [in] RtStreamId | idStream | ) |

  | Removes stream from stream group Parameters:
  idStream | stream identifier
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::GetStream | ( | [in] RtStreamId | idStream,
|  | [out, retval] IRsGenStream ** | ppGenStream
| ) |

  | Returns stream from stream group Parameters:
  idStream | stream identifier
  ppGenStream | returned stream
Returns: standard HRESULT processing can be applied to returned value

RtDWORD IRdStreamGroup::GetNumElements | ( | void |  | ) |

  | Returns number of elements in all streams in group Parameters:
  pdwNumElements | returned number of elements
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::SetNumElements | ( | [in] RtDWORD | dwNumElements | ) |

  | Sets number of elements in all streams in group Parameters:
  dwNumElements | number of elements
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::InsertElements | ( | [in] RtDWORD | dwInsertAfter,
|  | [in] RtDWORD | dwNumElems
| ) |

  | Inserts default elements into all streams in group Parameters:
  dwInsertAfter | index of element to insert after
  dwNumTriangles | number of elements to be inserted
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::DeleteElements | ( | [in] RtDWORD | dwDeleteFrom,
|  | RtDWORD | dwNumElems
| ) |

  | Delete elements in all streams of group Parameters:
  dwDeleteFrom | index of element to begin deleting
  dwNumTriangles | number of elements to be deleted
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::GetNumStreams | ( | [out, retval] RtDWORD * | pdwNumElements | ) |

  | Returns number of streams in a stream group Parameters:
  pdwNumElements | returned number of elements
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdStreamGroup::GetStreamByIndex | ( | [in] RtDWORD | dwStreamIndex,
|  | [out, retval] IRsGenStream ** | ppGenStream
| ) |

  | Returns stream from stream group. Parameters:
  idStream | stream index
  ppGenStream | returned stream
Returns: standard HRESULT processing can be applied to returned value